function [gm] = c05(s)
%  C05:    POLPAC conversion state-space -> transfer function matrix (roots)
%
%  Usage:  gm = c05(s)
%
%  This function converts a system representation in the time domain
%  (POLPAC mode = 0) into a factorized transfer function matrix
%  (POLPAC mode = 5).
%
%  Input Parameters:
%  -----------------
%
%    s      := Polpac system representation in time domain (mode 0).
%
%  Output Parameter:
%  -----------------
%
%    gm     := Polpac factorized transfer function matrix (mode 5).
%
push('C05')
%
gm = c04(s);
gm = c45(gm);
%
pull
return
