function [gm] = c06(s,dom)
%  C06:    POLPAC conversion state-space -> transfer function matrix (traj.)
%
%  Usage:  gm = c06(s,dom)
%
%  This function converts a system representation in the time domain
%  (POLPAC mode = 0) into a trajectory transfer function matrix
%  (POLPAC mode = 6).
%
%  Input Parameters:
%  -----------------
%
%    s      := Polpac system representation in time domain (mode 0).
%
%  Output Parameter:
%  -----------------
%
%    gm     := Polpac trajectory transfer function matrix (mode 6).
%
push('C06')
%
gm = c04(s);
gm = c46(gm,dom);
%
pull
return
