function [s2] = c08(s1)
%  C08:    POLPAC conversion state-space -> polynomial matrix system (roots)
%
%  Usage:  s2 = c08(s1)
%
%  This function converts a POLPAC state space description in mode 0
%  to a POLPAC polynomial matrix system description in mode 8.
%
%  Input Parameter:
%  ----------------
%
%    s1     := POLPAC state space description in storage mode 0
%
%  Output Parameter:
%  -----------------
%
%    s2     := POLPAC polynomial matrix system description, storage mode 8
%
push('C08')
%
s2 = c07(s1);
s2 = c78(s2);
%
pull
return
