function [s2] = c09(s1,dom)
%  C09:    POLPAC conversion state-space -> polynomial matrix system (traj.)
%
%  Usage:  s2 = c09(s1,dom)
%
%  This function converts a POLPAC state space description in mode 0
%  to a POLPAC polynomial matrix system description in mode 9.
%
%  Input Parameter:
%  ----------------
%
%    s1     := POLPAC state space description in storage mode 0
%    dom    := domain to be used.
%
%  Output Parameter:
%  -----------------
%
%    s2     := POLPAC polynomial matrix system description, storage mode 9
%
push('C09')
%
s2 = c07(s1);
s2 = c79(s2);
%
pull
return
