function [p2] = c32(p1,mcol)
%  C32:    POLPAC conversion polynomial matrices: trajectories -> roots
%
%  Usage:  p2 = c32(p1,mcol)
%
%  This function converts a POLPAC data structure in mode 3
%  to a POLPAC polynomial matrix in mode 2.
%
%  Input Parameters:
%  -----------------
%
%    p1     := POLPAC data structure in storage mode 3
%    mcol   := Non-negative integer which, if non-zero, equals
%              the largest allowed LOGCOL value of output matrix
%              default: mcol = 0
%
%  Output Parameters:
%  ------------------
%
%    p2     := POLPAC polynomial matrix, storage mode 2
%
push('C32')
%
%  Set default values
%
if nargin == 1,
  mcol = 0;
end
%
pm = c31(p1,mcol);
p2 = c12(pm);
%
pull
return
