function [g2] = c46(g1,dom)
%  C46:    POLPAC conversion transfer function matrix: coefficients -> traj.
%
%  Usage:  g2 = c46(g1,dom)
%
%  This function converts a transfer function matrix from storage
%  mode 4 to storage mode 6.  Since the input data structure does
%  not contain the domain information, this must be user supplied.
%
%  There is no need for consistency checking since this is accomplished
%  by the inner routines.
%
%  Input Parameters:
%  -----------------
%
%    g1     := Nonfactorized transfer function matrix (mode = 4)
%    dom    := Matlab row vector containing the domain information
%
%  Output Parameter:
%  -----------------
%
%    gm     := Trajectory transfer function matrix (mode = 6)
%
push('C46')
%
[pm,qm] = c41(g1);
pm = c13(pm,dom);
qm = c13(qm,dom);
g2 = c36(pm,qm);
%
pull
return
