function [ps8] = c48(g4)
%  C48:    POLPAC conversion transfer function matrix -> polynomial matrix syst.
%
%  Usage:  ps8 = c48(g4)
%
%  This function converts a non-factorized transfer function matrix (G4)
%  stored in POLPAC storage mode 4 into a factorized polynomial matrix system
%  representation stored in POLPAC storage mode 8.
%
%  Input Parameter:
%  ----------------
%
%   g4    :=  Non-factorized transfer function matrix (mode = 4)
%
%  Output Parameter:
%  -----------------
%
%   ps8   :=  Factorized polynomial matrix system (mode = 8)
%             in controller-canonical form
% 
push('C48')
%
gms = c45(g4);
ps8 = c58(gms);
%
pull
return
