function [ps9] = c49(g4,dom)
%  C49:    POLPAC conversion transfer function matrix -> polynomial matrix syst.
%
%  Usage:  ps9 = c49(g4,dom)
%
%  This function converts a non-factorized transfer function matrix (G4)
%  stored in POLPAC storage mode 4 into a trajectory polynomial matrix system
%  representation stored in POLPAC storage mode 9.
%
%  Input Parameters:
%  -----------------
%
%   g4    :=  Non-factorized transfer function matrix (mode = 4)
%   dom   :=  Domain to be used by output trajectory.
%
%  Output Parameter:
%  -----------------
%
%   ps9   :=  Trajectory polynomial matrix system (mode = 9)
%             in controller-canonical form
% 
push('C49')
%
gms = c46(g4,dom);
ps9 = c69(gms);
%
pull
return
