function [ps7] = c57(g5)
%  C57:    POLPAC conversion transfer function matrix -> polynomial matrix syst.
%
%  Usage:  ps7 = c57(g5)
%
%  This function converts a factorized transfer function matrix (G5) stored
%  in POLPAC storage mode 5 into a non-factorized polynomial matrix system
%  representation stored in POLPAC storage mode 7.
%
%  Input Parameter:
%  ----------------
%
%   g5    :=  Factorized transfer function matrix (mode = 5)
%
%  Output Parameter:
%  -----------------
%
%   ps7   :=  Non-factorized polynomial matrix system (mode = 7)
%             in controller-canonical form
% 
push('C57')
%
gms = c54(g5);
ps7 = c47(gms);
%
pull
return
