function [ps9] = c59(g5,dom)
%  C59:    POLPAC conversion transfer function matrix -> polynomial matrix syst.
%
%  Usage:  ps9 = c59(g5,dom)
%
%  This function converts a factorized transfer function matrix (G5) stored
%  in POLPAC storage mode 5 into a non-factorized polynomial matrix system
%  representation stored in POLPAC storage mode 9.
%
%  Input Parameters:
%  -----------------
%
%   g5    :=  Factorized transfer function matrix (mode = 5)
%   dom   :=  Domain to be used by output trajectory.
%
%  Output Parameter:
%  -----------------
%
%   ps9   :=  Trajectory polynomial matrix system (mode = 9)
%             in controller-canonical form
% 
push('C59')
%
gms = c56(g5,dom);
ps9 = c69(gms);
%
pull
return
