function [s] = c60(g)
%  C60:    POLPAC conversion transfer function matrix (traj.) -> state-space
%
%  Usage:  s = c60(g)
%
%  This function converts a transfer function matrix in POLPAC mode 6
%  into a state space system representation in POLPAC mode 0.
%
%  The mode 0 system S will be generated in controller-canonical form.
%
%  Input Parameter:
%  ----------------
%
%    g     := Transfer function matrix (POLPAC mode 6).
%
%  Output Parameter:
%  -----------------
%
%    s      := System matrix (POLPAC mode 0).
%
push('C60')
%
%  Don't check for mode 6 yet since this gets checked immediately upon
%  entry into C64.
%
[p,q] = c63(g);
p = c31(p,0);
q = c31(q,0);
g = c14(p,q);
s = c40(g);
%
pull
return
