function [ps7] = c67(g6)
%  C67:    POLPAC conversion transfer function matrix -> polynomial matrix syst.
%
%  Usage:  ps7 = c67(g6)
%
%  This function converts a trajectory transfer function matrix (G6) stored
%  in POLPAC storage mode 6 into a non-factorized polynomial matrix system
%  representation stored in POLPAC storage mode 7.
%
%  Input Parameter:
%  ----------------
%
%   g6    :=  Trajectory transfer function matrix (mode = 6)
%
%  Output Parameter:
%  -----------------
%
%   ps7   :=  Non-factorized polynomial matrix system (mode = 7)
%             in controller-canonical form
% 
push('C67')
%
gms = c64(g6);
ps7 = c47(gms);
%
pull
return
