function [ps8] = c68(g6)
%  C68:    POLPAC conversion transfer function matrix -> polynomial matrix syst.
%
%  Usage:  ps8 = c68(g6)
%
%  This function converts a trajectory transfer function matrix (G6) stored
%  in POLPAC storage mode 6 into a factorized polynomial matrix system
%  representation stored in POLPAC storage mode 8.
%
%  Input Parameter:
%  ----------------
%
%   g6    :=  Trajectory transfer function matrix (mode = 6)
%
%  Output Parameter:
%  -----------------
%
%   ps8   :=  Factorized polynomial matrix system (mode = 8)
%             in controller-canonical form
% 
push('C68')
%
gms = c65(g6);
ps8 = c58(gms);
%
pull
return
