function [s1] = c70(pm)
%  C70:    POLPAC conversion polynomial matrix system (coefs) -> state-space
%
%  Usage:  pm = c70(pm)
%
%  This function converts a system description in the polynomial 
%  matrix system description (PM) into a time domain description 
%  (S1). The input data structure is stored in mode 7, and 
%  the output data structure is stored in mode 0.
%
%  Input Parameter:
%  ----------------
%
%    pm     := Polynomial matrix system description (mode = 7)
%
%  Output Parameter:
%  -----------------
%
%    s1     := System description in the time domain (mode = 0)
%
push('C70')
%
gm = c74(pm);
s1 = c40(gm);
%
pull
return
