function [g5] = c75(ps7)
%  C75:    POLPAC conversion polynomial matrix syst. -> transfer function matrix
%
%  Usage:  g5 = c75(ps7)
%
%  This function converts a a non-factorized polynomial matrix system
%  representation stored in POLPAC storage mode 7 into a factorized
%  transfer function matrix (G5) stored in POLPAC storage mode 5.
%
%  Input Parameter:
%  ----------------
%
%   ps7   :=  Non-factorized polynomial matrix system (mode = 7)
%
%  Output Parameter:
%  -----------------
%
%   g5    :=  Factorized transfer function matrix (mode = 5)
% 
push('C75')
%
gm = c74(ps7);
g5 = c45(gm);
%
pull
return 
