function [g6] = c76(ps7,dom)
%  C76:    POLPAC conversion polynomial matrix syst. -> transfer function matrix
%
%  Usage:  g6 = c76(ps7,dom)
%
%  This function converts a a non-factorized polynomial matrix system
%  representation stored in POLPAC storage mode 7 into a trajectory
%  transfer function matrix (G6) stored in POLPAC storage mode 6.
%
%  Input Parameters:
%  -----------------
%
%   ps7   :=  Non-factorized polynomial matrix system (mode = 7)
%   dom   :=  Domain to be used by output trajectory.
%
%  Output Parameter:
%  -----------------
%
%   g6    :=  Trajectory transfer function matrix (mode = 6)
% 
push('C76')
%
gm = c74(ps7);
g6 = c46(gm,dom);
%
pull
return 
