function [s1] = c80(pm)
%  C70:    POLPAC conversion polynomial matrix system (roots) -> state-space
%
%  Usage:  pm = c80(pm)
%
%  This function converts a system description in the polynomial 
%  matrix system description (PM) into a time domain description 
%  (S1). The input data structure is stored in mode 8, and 
%  the output data structure is stored in mode 0.
%
%  Input Parameter:
%  ----------------
%
%    pm     := Polynomial matrix system description (mode = 8)
%
%  Output Parameter:
%  -----------------
%
%    s1     := System description in the time domain (mode = 0)
%
push('C80')
%
gm = c85(pm);
s1 = c50(gm);
%
pull
return
