function [g4] = c84(ps8)
%  C84:    POLPAC conversion polynomial matrix syst. -> transfer function matrix
%
%  Usage:  g4 = c84(ps8)
%
%  This function converts a a factorized polynomial matrix system
%  representation stored in POLPAC storage mode 8 into a non-factorized
%  transfer function matrix (G4) stored in POLPAC storage mode 4.
%
%  Input Parameter:
%  ----------------
%
%   ps8   :=  Factorized polynomial matrix system (mode = 8)
%
%  Output Parameter:
%  -----------------
%
%   g4    :=  Non-factorized transfer function matrix (mode = 4)
% 
push('C84')
%
gm = c85(ps8);
g4 = c54(gm);
%
pull
return 
