function [g6] = c86(ps8,dom)
%  C86:    POLPAC conversion polynomial matrix syst. -> transfer function matrix
%
%  Usage:  g6 = c86(ps8,dom)
%
%  This function converts a a factorized polynomial matrix system
%  representation stored in POLPAC storage mode 8 into a trajectory
%  transfer function matrix (G6) stored in POLPAC storage mode 6.
%
%  Input Parameters:
%  -----------------
%
%   ps8   :=  Factorized polynomial matrix system (mode = 8)
%   dom   :=  Domain to be used by output trajectory.
%
%  Output Parameter:
%  -----------------
%
%   g6    :=  Trajectory transfer function matrix (mode = 6)
% 
push('C86')
%
gm = c85(ps8);
g6 = c56(gm,dom);
%
pull
return 
