function [s1] = c90(pm)
%  C90:    POLPAC conversion polynomial matrix system (traj.) -> state-space
%
%  Usage:  pm = c90(pm)
%
%  This function converts a system description in the polynomial 
%  matrix system description (PM) into a time domain description 
%  (S1). The input data structure is stored in mode 9, and 
%  the output data structure is stored in mode 0.
%
%  Input Parameter:
%  ----------------
%
%    pm     := Polynomial matrix system description (mode = 9)
%
%  Output Parameter:
%  -----------------
%
%    s1     := System description in the time domain (mode = 0)
%
push('C90')
%
gm = c96(pm);
s1 = c60(gm);
%
pull
return
