function [g4] = c94(ps9)
%  C94:    POLPAC conversion polynomial matrix syst. -> transfer function matrix
%
%  Usage:  g4 = c94(ps9)
%
%  This function converts a a trajectory polynomial matrix system
%  representation stored in POLPAC storage mode 9 into a non-factorized
%  transfer function matrix (G4) stored in POLPAC storage mode 4.
%
%  Input Parameter:
%  ----------------
%
%   ps9   :=  Trajectory polynomial matrix system (mode = 9)
%
%  Output Parameter:
%  -----------------
%
%   g4    :=  Non-factorized transfer function matrix (mode = 4)
% 
push('C94')
%
gm = c96(ps9);
g4 = c64(gm);
%
pull
return 
