function [g5] = c95(ps9)
%  C95:    POLPAC conversion polynomial matrix syst. -> transfer function matrix
%
%  Usage:  g5 = c95(ps9)
%
%  This function converts a a trajectory polynomial matrix system
%  representation stored in POLPAC storage mode 9 into a factorized
%  transfer function matrix (G5) stored in POLPAC storage mode 5.
%
%  Input Parameter:
%  ----------------
%
%   ps9   :=  Trajectory polynomial matrix system (mode = 9)
%
%  Output Parameter:
%  -----------------
%
%   g5    :=  Factorized transfer function matrix (mode = 5)
% 
push('C95')
%
gm = c96(ps9);
g5 = c65(gm);
%
pull
return 
