function [gammac,pm,p]=colpropti(pm,p,i)
% This fuction aids function COLPROPT in unimodular transformation 
% of each column to achieve column proper form.
%
% ECE 544 Homework #5 by Gyver Huang.
% Input Parameters:
% -----------------
%	pm	:= noncolumn proper polynomial matrix.
%	p	:= unimodular transformation.
%	i	:= ith column position indicator.
% Output Parameters:
% ------------------
%	pm	:= transformed polyomial matrix. (column proper)
%	gammac	:= Gamma matrix of new pm.
%	p	:= the unimodular transformation matrix.
%
push('COLPROPTI')
global debg
%
% initialize r identity polynomial matrix and unpack information of pm.
%
[mode,logcol,dtype,stype]=unpack(pm(1,1));
[lrow,lcol]=logdim(pm);
dom=domain(pm);
r=eyep(lrow,lrow,mode,logcol,stype,dom);
%
% get the max order of each column

omax=max(order(pm));

%
% get alpha coefficients
gammac=gamcol(pm);
alpha1=null(gammac);
%
% get the last column if null space is more than 1.
alpha=alpha1(:,(lrow-rank(gammac)));

z=alpha(i,1);
%
% normalize alpha coefficients and initialize x1 vector.
x1=zeros(lrow,1);
if z==0
	if i~=lrow
		x1(i+1,1)=-1;
	else
		x1(i-1,1)=-1;
	end
else
	x1=alpha/z;

end
%
% initialize a column polynomial matrix x3 for alpha and its power S 
%

x3=zerop(lrow,1,mode,logcol,stype,dom);
%
%
x2=getcoef(x1,x3,i,omax,stype);
%

if i==1

	x2=gget(x2,i+1:lrow,1);
	r=put(r,x2,i+1:lrow,1);

elseif i==lcol

	x2=gget(x2,1:lrow-1,1);
	r=put(r,x2,1:(lrow-1),i);

else
	x4=zerop(lrow-1,1,mode,logcol,stype,dom);
	x4=gget(x2,1:i-1,1);
	r=put(r,x4,1:(i-1),i);
	x4=gget(x2,i+1:lrow,1);
	r=put(r,x4,(i+1):lrow,i);

end
%
pm=multp(pm,r);
gammac=gamcol(pm);
p=multp(p,r);
%
pull
return
