function [x3]=getcoef(x1,x3,i,omax,stype)
% This subfunction computes the product of the add-on column or row
% polynomial and the alpha values. It is to be shared by both
% COLPROPTI and ROWPROPTI functions for simplicity.
%
% ECE 544 Homework # 5 by Gyver Huang.
%
% Input Parameters:
% -----------------
%	x1	:= alpha coefficients in a row vector form. 
%	x3      := zero order polynomial with coefficient 1.	  
%	i	:= row or column position indicator.	
%	omax	:= a row vector of max column orders.
%	stype	:= system inherited from pm.
%
% Output Parameter:
% ----------------
%	x2	:= column polynomial vector to be put into identity
%		   p matrix.
%
push('GETCOEF')
global debg
%
% get the size of the column = row needed.
%
[row,col]=size(omax);
%
% do the exponent subtraction.
%
for e=1:col
	ex(1,e)=omax(1,i)-omax(1,e);
end
%
% do the product of s convolution and alpha coefficient at once,
% then convert to polynomial form done all in two loops.
%
for x=1:col
	ns1=[1];
	ns=[1 0];

	for f=1:ex(1,x)

		ns1=conv(ns,ns1);
	end
	
	x3=put(x3,newpoly((x1(x,1)*ns1),stype),x,1);

end

%
pull
return
