function [l,m] = neig(a)
%
%  This is an experimental function to compute the eigenvalues
%  of a matrix together with their multiplicities.  We have to use
%  one of either algorithms NEIGAL1 or NEIGAL2. This is done
%  by calling either NEIG1 or NEIG2 functions setting the global 
%  variable NEIGFLAG to either 1 or 2.
%
%  Input Parameter:
%  ----------------
%
%    a      := Square matrix
%
%  Output parameters:
%  ------------------
%
%    l      := column vector of distinct eigenvalues
%    m      := column vector of their multiplicities
%
push('NEIG')
global debg
global neigflag
[n,n1] = size(a);
%
%  We first check for dimensional compatibility
%
if debg == 3,
  if neigflag ~= 1,
    if neigflag ~= 2,
      disp('NEIG: Error - The NEIGFLAG is set incorrectly'),
      abort,
    end,
  end,  
end
%
if neigflag == 1,
  [l,m] = neig1(a);
  else
  [l,m] = neig2(a);
end
%
pull
return
