function [l,m] = neig1(a)
%
%  This is an experimental function similar to NEIG2 to compute the 
%  eigenvalues of a matrix together with their multiplicities.
%  This function uses the NEIGAL1 algorithm.
%
%  Input Parameter:
%  ----------------
%
%    a      := Square matrix
%
%  Output parameters:
%  ------------------
%
%    l      := column vector of distinct eigenvalues
%    m      := column vector of their multiplicities
%
push('NEIG1')
global debg
[n,n1] = size(a);
%
%  We first check for dimensional compatibility
%
if debg == 3,
  if n ~= n1,
    disp('NEIG1: Error - The A matrix is not square'),
    abort,
  end,
end
%
%  Get the eigenvalues
%
l1 = eig(a);
[l,m,inx] = neigal1(a,l1);
%
pull
return
