function [l,m] = neig2(a)
%
%  This is an experimental function similar to NEIG1 to compute the 
%  eigenvalues of a matrix together with their multiplicities.
%  This function uses the NEIGAL2 algorithm.
%
%  Input Parameter:
%  ----------------
%
%    a      := Square matrix
%
%  Output parameters:
%  ------------------
%
%    l      := column vector of distinct eigenvalues
%    m      := column vector of their multiplicities
%
push('NEIG2')
global debg
[n,n1] = size(a);
%
%  We first check for dimensional compatibility
%
if debg == 3,
  if n ~= n1,
    disp('NEIG2: Error - The A matrix is not square'),
    abort,
  end,
end
%
%  Get the eigenvalues
%
[u,a] = schur(a);
[u,a] = rsf2csf(u,a);
l1 = diag(a);
[l,m,inx] = neigal2(a,l1);
%
pull
return
