function [cmpflg] = normcomp(a,b,tol)
%
%  This function compares two different Matlab data structures for
%  equality.
%
%  Input Parameters:
%  -----------------
%
%    a      :=  Any Matlab data structure
%    b      :=  Any Matlab data structure
%    tol    :=  Tolerance level for comparison
%
%  Output Parameter:
%  -----------------
%
%    cmpflg :=  Comparison flag
%                 cmpflg = 0 :  Data structures are not the same
%                 cmpflg = 1 :  Data structures are the same
%
push('NORMCOMP')
%
[na,ma] = size(a);
[nb,mb] = size(b);
cmpflg = 0;
%
if na ~= nb,  pull,  return,  end
if ma ~= mb,  pull,  return,  end
if norm(a - b,'inf') > tol,  pull,  return,  end
%
cmpflg = 1;
%
pull
return
