function [] = polpac_mode4()
%
%  Transfer function matrix (represented through coefficients):
%  ------------------------------------------------------------
%
%  Transfer function matrices are one way to describe linear systems in the
%  frequency domain.  POLPAC uses the same methodology as for polynomial
%  matrices to represent transfer function matrices.  Thereby, the
%  numerator polynomial matrix is simply concatenated from below by the
%  denominator polynomial matrix.  The same data structure can be used to
%  represent both continuous-time systems (G(s)) using the Laplace transform
%  (STYPE=0) and discrete-time systems (G(z)) using the z-transform (STYPE=1).
%
%  Storage mode 4 corresponds to storage mode 1.
%
%  Example:
%  --------
%
%  Given the transfer function matrix:
%
%                      (8z^2+5z+7)              (2z-5)
%             G(z) = [ -----------       0      ------
%                         z^3+1                   z^2
%
%                           1          5z-7
%                          ---       --------      1   ]
%                          z^3       (z^2-10)
%
%  has:  logcol  = 4  (highest order + 1)
%        mode    = 4
%        stype   = 1
%        dtype   = 1
%        version = 1  (currently)
%           ==> nbr = 4441
%
%  It can thus be represented as:
%
%             G = [ 4441   0   0   0   0   0   0   0   0   0   0   0
%                      7   5   8   0   0   0   0   0  -5   2   0   0
%                      1   0   0   0  -7   5   0   0   1   0   0   0
%                      1   0   0   1   1   0   0   0   0   0   1   0
%                      0   0   0   1 -10   0   1   0   1   0   0   0 ]
%
return
