function [] = polpac_modes()
%
%  POLPAC currently supports 10 different types of data sructures
%  (called MODEs) for the description of linear multivariable systems
%  in both frequency and time domain.
%
%        mode = 0 :  Linear system in time domain
%        mode = 1 :  Polynomial matrix (represented through coefficients)
%        mode = 2 :  Polynomial matrix (represented through roots)
%        mode = 3 :  Polynomial matrix (represented through trajectories)
%        mode = 4 :  Transfer function matrix (coefficients)
%        mode = 5 :  Transfer function matrix (roots)
%        mode = 6 :  Transfer function matrix (trajectories)
%        mode = 7 :  Polynomial matrix system description (coefficients)
%        mode = 8 :  Polynomial matrix system description (roots)
%        mode = 9 :  Polynomial matrix system description (trajectories)
%
%  The modes are characterized by a single number (NBR), stored in the upper
%  left corner of each data structure.  It is defined as:
%
%        nbr = 1000*logcol + 100*mode + 30*stype +10*dtype + version
%
%  where:
%
%            logcol  := number of physical columns per logical column
%            mode    := mode number
%            stype   := system type (0 = continuous, 1 = discrete)
%            dtype   := data type (1 = integer, 2 = real, 3 = complex)
%            version := version number (currently 1)
%
%  More information can be obtained by the command:
%
%        help polpac_mode<i>
%
%  where i denotes the mode of interest.
%
return
