function [] = push(txt)
%
%  This function pushes a new function name down the TRACE stack
%  (trastk).
%
global stkdepth
global traceflag
global trastk1 trastk2 trastk3 trastk4 trastk5
global trastk6 trastk7 trastk8 trastk9 trastk10
global trastk11 trastk12 trastk13 trastk14 trastk15
global trastk16 trastk17 trastk18 trastk19 trastk20
global traverbose
%
%  First increment the stack counter, and die gracefully if
%  the stack counter is larger than 20.
%
stkdepth = stkdepth + 1;
if stkdepth > 20,
  disp('PUSH: Error - Nesting level exceeds 20, better forget it'),
  abort,
end
%
%  Check whether the tracing facility is enabled
%
if traceflag == 0, return, end
%
%  Okay, tracing has been enabled.  Proceed normally.
%
[ntxt,mtxt] = size(txt);
%
%  Normalize the text size to 10 characters
%
ttxt = txt;
if mtxt < 10,
  ttxt = [ txt , ' '*ones(1,10-mtxt) ];
end
if mtxt > 10,
  ttxt = txt(1,1:10);
end
%
%  Place the  new function name at the bottom of the stack.
%
m1 = 1;
temp = 0;
txt = [ ttxt , ' '*ones(1,10) ];
for k=10:-1:1,
  tx = round(real(txt(k)) - 48);
  if tx <  0,  tx = 43;  end,
  if tx > 43,  tx = 43;  end,
  temp = temp + m1*tx;
  m1 = 45*m1;
end
if stkdepth ==  1,  trastk1  = temp;  end
if stkdepth ==  2,  trastk2  = temp;  end
if stkdepth ==  3,  trastk3  = temp;  end
if stkdepth ==  4,  trastk4  = temp;  end
if stkdepth ==  5,  trastk5  = temp;  end
if stkdepth ==  6,  trastk6  = temp;  end
if stkdepth ==  7,  trastk7  = temp;  end
if stkdepth ==  8,  trastk8  = temp;  end
if stkdepth ==  9,  trastk9  = temp;  end
if stkdepth == 10,  trastk10 = temp;  end
if stkdepth == 11,  trastk11 = temp;  end
if stkdepth == 12,  trastk12 = temp;  end
if stkdepth == 13,  trastk13 = temp;  end
if stkdepth == 14,  trastk14 = temp;  end
if stkdepth == 15,  trastk15 = temp;  end
if stkdepth == 16,  trastk16 = temp;  end
if stkdepth == 17,  trastk17 = temp;  end
if stkdepth == 18,  trastk18 = temp;  end
if stkdepth == 19,  trastk19 = temp;  end
if stkdepth == 20,  trastk20 = temp;  end
%
%  if TRAVERBOSE was switched on, ask for a trace now
%
if traverbose == 1,
  %
  %  Don't explicitly call TRACE here to avoid another
  %  function stack level increase.
  %
  t1 = 'TRACE:    ';
  t2 = '------    ';
  txt = [ t1 ; t2 ];
  if stkdepth ~= 0,
    for i=1:stkdepth,
      if i ==  1,  temp = trastk1;  end,
      if i ==  2,  temp = trastk2;  end,
      if i ==  3,  temp = trastk3;  end,
      if i ==  4,  temp = trastk4;  end,
      if i ==  5,  temp = trastk5;  end,
      if i ==  6,  temp = trastk6;  end,
      if i ==  7,  temp = trastk7;  end,
      if i ==  8,  temp = trastk8;  end,
      if i ==  9,  temp = trastk9;  end,
      if i == 10,  temp = trastk10; end,
      if i == 11,  temp = trastk11; end,
      if i == 12,  temp = trastk12; end,
      if i == 13,  temp = trastk13; end,
      if i == 14,  temp = trastk14; end,
      if i == 15,  temp = trastk15; end,
      if i == 16,  temp = trastk16; end,
      if i == 17,  temp = trastk17; end,
      if i == 18,  temp = trastk18; end,
      if i == 19,  temp = trastk19; end,
      if i == 20,  temp = trastk20; end,
      ttxt = ' '*ones(1,10);
      if temp ~= 0,
        for k=10:-1:1,
          t1 = round(temp/45 - 0.5 + 10*eps);
          tx = round(temp - 45*t1);
          if tx <  0,  tx = 43;  end,
          if tx > 43,  tx = 43;  end,
          if tx == 43,
            ttxt(k) = ' ';
            else
            ttxt(k) = setstr(tx + 48);
          end,
          temp = t1;
        end,
      end,
      txt = [ txt ; ttxt ];
    end,
  end,
  [nstk,mstk] = size(txt);
  txt = [ txt , ' '*ones(nstk,15) ];
  if nstk > 3,
    t = '   DID CALL -->';
    for i=3:nstk-1,
      txt(i,11:25) = t;
    end,
  end,
  if nstk == 2,
    t = ' *** EMPTY *** ';
    txt = [ txt ; t , ' '*ones(1,10) ];
  end,
  disp(txt),
end
%
return
