function [p2] = realp(p1)
%
%  The REALP function extracts the real part of a POLPAC data structure.
%
%  Input Parameters:
%  -----------------
%
%    p1     := input matrix
%
%  Output Parameters:
%  ------------------
%
%    p2     := output matrix
%
push('REALP')
%
%  Start by unpacking the MODE, DTYPE, STYPE, and LOGCOL of the
%  given data structure.
%
[mode,logcol,dtype,stype] = unpack(p1(1,1));
%
%  Get the real part
%
p2 = real(p1);
dtype = datatype(p2);
% 
%  Create the output data structure
%
p2(1,1) = ppack(mode,logcol,dtype,stype);
%
%  SQUEEZE for the sake of it.
%
p2 = squeeze(p2);
%
pull
return
