function [gammac,pm,p]=rowpropti(pm,p,i)
% This fuction aids function ROWPROPT in unimodular transformation 
% of each column to achieve row proper form.
%
% ECE 544 Homework #5 by Gyver Huang.
% Input Parameters:
% -----------------
%	pm	:= nonrow proper polynomial matrix.
%	p	:= unimodular transformation.
%	i	:= ith row position indicator.
% Output Parameters:
% ------------------
%	pm	:= transformed polyomial matrix. (row proper)
%	gammac	:= Gamma matrix of new pm.
%	p	:= the unimodular transformation matrix.
%
push('ROWPROPTI')
global debg
%
% initialize r identity polynomial matrix and unpack information of pm.
%
[mode,logcol,dtype,stype]=unpack(pm(1,1));
[lrow,lcol]=logdim(pm);
dom=domain(pm);
r=eyep(lcol,lcol,mode,logcol,stype,dom);
%
% get the max order of each row.

omax=max(order(transpose(pm)));

%
% get alpha coefficients
gammac=gamrow(pm);
alpha1=null(gammac');
%
% get the last column if null space is more than 1.
alpha=alpha1(:,lrow-rank(gammac));

z=alpha(i,1);
%
% normalize alpha coefficients and initialize x1 vector.
x1=zeros(lcol,1);
if z==0
	if i~=lcol
		x1(i+1,1)=-1;
	else
		x1(i-1,1)=-1;
	end
else
	x1=alpha/z;

end
%
% initialize a column (actually row) polynomial matrix x3 for 
% alpha and its power S
%

x3=zerop(lcol,1,mode,logcol,stype,dom);
%
%
x2=getcoef(x1,x3,i,omax,stype);
%
% Now the trick is to transpose the column vector.
x2=transpose(x2);

if i==1

	x2=gget(x2,1,i+1:lcol);
	r=put(r,x2,1,i+1:lcol);

elseif i==lrow

	x2=gget(x2,1,1:lcol-1);
	r=put(r,x2,i,1:lcol-1);

else
	x4=zerop(1,lcol-1,mode,logcol,stype,dom);
	x4=gget(x2,1,1:i-1);
	r=put(r,x4,i,1:(i-1));
	x4=gget(x2,1,i+1:lcol);
	r=put(r,x4,i,(i+1):lcol);

end
%
pm=multp(r,pm);
gammac=gamrow(pm);
p=multp(r,p);
%
pull
return
