diary test5_2b.dry
echo on
%
%  Test [5.2b]: Coprime factorizations of a POLPAC System
%  -----------------------------------------------------
%
polpac_init
global debg
debg = 3;
%
%  Enter the system
%
A = [ 0     1     0
      2     1     0
      0     0     1 ];
eig(A)
B = [ 0     0
      1     0
      2     1 ];
C = [ 1     0     1
      0     1     1 ];
D = zeros(2);
n = 3;
m = 2;
p = 2;
stype = 0;
mode = 4;
dom = 0;
S = newsyst(A,B,C,D,stype);
Gm = ss2tfm(S,mode,dom);
show(Gm,'Gm')
%
%  Let us retrieve the time domain system from the frequency
%  domain system.
%
S = tfm2ss(Gm);
show(S)
S = minreals(S);
show(S)
[A,B,C,D] = oldsyst(S)
eig(A)
%
%  Just to make sure I really haven't goofed up, let me find the
%  transfer function matrix once more.
%
Gm = ss2tfm(S,mode,dom);
show(Gm,'Gm')
%
%  Controller design
%
F = -lqr(A,B,eye(3),eye(2));
L = -lqr(A',C',eye(3),eye(2))';
%
%  Right coprime factorization
%
Am = A + B*F;
Bm = B;
Cm = F;
Dm = eye(m);
%
An = Am;
Bn = B;
Cn = C + D*F;
Dn = D;
%
Au = Am;
Bu = -L;
Cu = F;
Du = zeros(m,p);
%
Av = Am;
Bv = Bu;
Cv = Cn;
Dv = eye(p);
%
%  Make into systems
%
Sm = newsyst(Am,Bm,Cm,Dm,stype);
Sn = newsyst(An,Bn,Cn,Dn,stype);
Su = newsyst(Au,Bu,Cu,Du,stype);
Sv = newsyst(Av,Bv,Cv,Dv,stype);
%
%  Convert back to the frequency domain
%
M = ss2tfm(Sm,mode,dom);
N = ss2tfm(Sn,mode,dom);
U = ss2tfm(Su,mode,dom);
V = ss2tfm(Sv,mode,dom);
%
M = reduceg(M);
N = reduceg(N);
U = reduceg(U);
V = reduceg(V);
%
show(M,'M')
show(N,'N')
show(U,'U')
show(V,'V')
%
%  Left coprime factorization
%
Am = A + L*C;
Bm = L;
Cm = C;
Dm = eye(p);
%
An = Am;
Bn = B + L*D;
Cn = C;
Dn = D;
%
Au = Am;
Bu = L;
Cu = -F;
Du = zeros(m,p);
%
Av = Am;
Bv = Bn;
Cv = Cu;
Dv = eye(m);
%
%  Make into systems
%
Sm = newsyst(Am,Bm,Cm,Dm,stype);
Sn = newsyst(An,Bn,Cn,Dn,stype);
Su = newsyst(Au,Bu,Cu,Du,stype);
Sv = newsyst(Av,Bv,Cv,Dv,stype);
%
%  Convert back to the frequency domain
%
Mt = ss2tfm(Sm,mode,dom);
Nt = ss2tfm(Sn,mode,dom);
Ut = ss2tfm(Su,mode,dom);
Vt = ss2tfm(Sv,mode,dom);
%
Mt = reduceg(Mt);
Nt = reduceg(Nt);
Ut = reduceg(Ut);
Vt = reduceg(Vt);
%
show(Mt,'Mt')
show(Nt,'Nt')
show(Ut,'Ut')
show(Vt,'Vt')
%
B11 = sub(multg(Vt,M),multg(Ut,N));
B11 = reduceg(B11);
show(B11,'B11')
%
B12 = sub(multg(Vt,U),multg(Ut,V));
B12 = reduceg(B12);
show(B12,'B12')
%
B21 = sub(multg(Mt,N),multg(Nt,M));
B21 = reduceg(B21);
show(B21,'B21')
%
B22 = sub(multg(Mt,V),multg(Nt,U));
B22 = reduceg(B22);
show(B22,'B22')
%
show(Gm,'Gm')
Gm2 = multg(N,invg(M));
Gm2 = reduceg(Gm2);
show(Gm2,'Gm2')
Gm3 = multg(invg(Mt),Nt);
Gm3 = reduceg(Gm3);
show(Gm3,'Gm3')
%
Ak = A + B*F + L*C + L*D*F;
Bk = -L;
Ck = F;
Dk = zeros(m,p);
Sk = newsyst(Ak,Bk,Ck,Dk,stype);
K = ss2tfm(Sk,mode,dom);
show(K,'K')
%
K2 = multg(U,invg(V));
K2 = reduceg(K2);
show(K2,'K2')
K3 = multg(invg(Vt),Ut);
K3 = reduceg(K3);
show(K3,'K3')
%
diary off
return
