diary test6_2.dry
echo on
%
%  Test [6.2]: Linear Fractional Transform:
%  ----------------------------------------
%
polpac_init
global debg
debg = 3;
%
%  Enter the system
%
A = [ 0     1     0
      2     1     0
      0     0     1 ];
B = [ 0     0
      1     0
      2     1 ];
C = [ 1     0     1
      0     1     1 ];
D = zeros(2);
n = 3;
m = 2;
p = 2;
stype = 0;
mode = 4;
dom = 0;
S = newsyst(A,B,C,D,stype);
Gm = ss2tfm(S,mode,dom);
Gm = reduceg(Gm);
show(Gm,'Gm')
%
%  Enter the controller
%
[N,M,U,V,K] = rcf(Gm);
K = gget(K,1,1);
show(K,'K')
%
%  Try upper LFT in the frequency domain
%
Tg = lftu(Gm,K);
show(Tg,'Tg')
%
%  Try upper LFT in the time domain
%
Sg = tfm2ss(Gm);
Sk = tfm2ss(K);
St = lftu(Sg,Sk);
Ts = ss2tfm(St,mode,dom);
show(Ts,'Ts')
%
%  Try upper LFT in the polynomial matrix system domain
%
PSg = tfm2pms(Gm);
PSk = tfm2pms(K);
PSt = lftu(PSg,PSk);
Tps = pms2tfm(PSt,mode,dom);
show(Tps,'Tps')
%
diary off
return
