function [t2] = truncate(t1,dtype)
%
%  This function truncates a text string representing a number
%  to the important information
%
%  Input Parameters:
%  ----------------
%
%    t1     := text string to be truncated
%    dtype  := data type of number to be truncated
%
%  Output Parameter:
%  -----------------
%
%    t2     := truncated text string
%
push('TRUNCATE')
%
[n,m] = size(t1);
t2 = t1;
%
%  Delete SPACE from left
%
while t2(1) == ' ',
  t2 = t2(2:m);
  m = m - 1;
end
%
%  Delete SPACE from right
%
while t2(m) == ' ',
  m = m - 1;
  t2 = t2(1:m);
end
%
%  Delete ZERO from right
%
if dtype == 2,
  while t2(m) == '0',
    m = m - 1;
    t2 = t2(1:m);
  end,
end
%
pull
return
