function [dom] = unitcircle(nmbr)
%
%  This function generates a DOMAIN that is equidistantly spaced
%  around the unit circle starting with (1,0).
%
push('UNITCIRCLE')
%
%  Check for consistency
%
if nmbr < 1,
  disp('UNITCIRCLE: Error - must be positive integer'),
  nmbr,
  abort,
end
%
%  Build the domain now
%
dphi = 2*pi/nmbr;
for i=0:nmbr-1,
  phi = i*dphi;
  dom(1,i+1) = cos(phi) + j*sin(phi);
end
%
pull
return
